APIUser connections
Start OAuth authorization
Start OAuth authorization flow. Returns URL to redirect the user to.
POST
Start OAuth authorization flow. Returns URL to redirect the user to.
ApiKeyAuthheader
AuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
manage_connectionsapplication/json- body
mcp_id*uuidFormat
uuidredirect_to?stringWhere to send the user after they finish signing in.
The request has succeeded.
application/json- response
authorization_url*stringURL to send the user to so they can sign in and grant access.
Format
uricurl -X POST "https://example.com/user/connections/authorize" \ -H "Content-Type: application/json" \ -d '{ "mcp_id": "92dad337-069f-4a18-a93d-2e7f16082ffb" }'{ "authorization_url": "http://example.com"}